Index: tmp/org.txm.core/src/java/org/txm/objects/Corpus.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/objects/Corpus.java	(revision 876)
+++ tmp/org.txm.core/src/java/org/txm/objects/Corpus.java	(revision 877)
@@ -570,7 +570,7 @@
 	 */
 	public File getBaseDirectory()
 	{
-		String txmhome = Toolbox.getTXMHOMEPATH();
+		String txmhome = Toolbox.getTxmHomePath();
 		Base base = this.getBase();
 		if (base != null)
 			return base.params.paramFile.getParentFile();
Index: tmp/org.txm.core/src/java/org/txm/Toolbox.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/Toolbox.java	(revision 876)
+++ tmp/org.txm.core/src/java/org/txm/Toolbox.java	(revision 877)
@@ -165,7 +165,7 @@
 	 * 
 	 * @return the TXM working directory set with the USER_TXM_HOME preference key 
 	 */
-	public static String getTXMHOMEPATH() {
+	public static String getTxmHomePath() {
 		return getPreference(TBXPreferences.USER_TXM_HOME);
 	}
 
Index: tmp/org.txm.practically.rcp/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.practically.rcp/META-INF/MANIFEST.MF	(revision 876)
+++ tmp/org.txm.practically.rcp/META-INF/MANIFEST.MF	(revision 877)
@@ -18,6 +18,6 @@
 Bundle-Name: PracticallyMacro Plug-in
 Bundle-ManifestVersion: 2
 Bundle-Activator: practicallymacro.editormacros.Activator
-Bundle-SymbolicName: PracticallyMacro;singleton:=true
+Bundle-SymbolicName: org.txm.pratically.rcp;singleton:=true
 Bundle-RequiredExecutionEnvironment: J2SE-1.5
 
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/fileexplorer/MacroExplorer.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/fileexplorer/MacroExplorer.java	(revision 876)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/fileexplorer/MacroExplorer.java	(revision 877)
@@ -78,7 +78,7 @@
 	static public String ID = "org.txm.rcp.views.fileexplorer.MacroExplorer"; //$NON-NLS-1$
 
 	/** The home. */
-	private static String home = Toolbox.getTXMHOMEPATH(); 
+	private static String home = Toolbox.getTxmHomePath(); 
 
 	protected boolean showAll = false;
 	
@@ -96,7 +96,7 @@
 	public boolean isShowAll() {return showAll;}
 
 	private static void initCurrentDirectory() {
-		home = Toolbox.getTXMHOMEPATH(); 
+		home = Toolbox.getTxmHomePath(); 
 		if (home == null) home = System.getProperty("user.home"); //$NON-NLS-1$
 		File scriptsDir = new File(home, "scripts"); //$NON-NLS-1$
 		File currentRootDir = new File(scriptsDir, "macro/org/txm/macro"); //$NON-NLS-1$
@@ -163,7 +163,7 @@
 		newMacro.addSelectionListener(new SelectionAdapter() {
 			@Override
 			public void widgetSelected(SelectionEvent e) {
-				String scriptRootDir = Toolbox.getTXMHOMEPATH() + "/scripts"; //$NON-NLS-1$
+				String scriptRootDir = Toolbox.getTxmHomePath() + "/scripts"; //$NON-NLS-1$
 				File currentRootDir = new File(scriptRootDir, "macro/org/txm/macro"); //$NON-NLS-1$
 				currentRootDir.mkdirs();
 				
@@ -281,13 +281,13 @@
 	 * @return true, if successful
 	 */
 	protected boolean CanDelete(File selectedItem) {
-		File txmhome = new File(Toolbox.getTXMHOMEPATH());
-		File scripts = new File(Toolbox.getTXMHOMEPATH(), "scripts"); //$NON-NLS-1$
-		File corpora = new File(Toolbox.getTXMHOMEPATH(), "corpora"); //$NON-NLS-1$
+		File txmhome = new File(Toolbox.getTxmHomePath());
+		File scripts = new File(Toolbox.getTxmHomePath(), "scripts"); //$NON-NLS-1$
+		File corpora = new File(Toolbox.getTxmHomePath(), "corpora"); //$NON-NLS-1$
 		//File registry = new File(Toolbox.getTXMHOMEPATH(), "registry"); //$NON-NLS-1$
-		File workspaces = new File(Toolbox.getTXMHOMEPATH(), "workspaces"); //$NON-NLS-1$
-		File xsl = new File(Toolbox.getTXMHOMEPATH(), "xsl"); //$NON-NLS-1$
-		File samples = new File(Toolbox.getTXMHOMEPATH(), "samples"); //$NON-NLS-1$
+		File workspaces = new File(Toolbox.getTxmHomePath(), "workspaces"); //$NON-NLS-1$
+		File xsl = new File(Toolbox.getTxmHomePath(), "xsl"); //$NON-NLS-1$
+		File samples = new File(Toolbox.getTxmHomePath(), "samples"); //$NON-NLS-1$
 		if (selectedItem.equals(txmhome) || 
 				selectedItem.equals(txmhome) ||
 				selectedItem.equals(scripts) ||
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/fileexplorer/Explorer.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/fileexplorer/Explorer.java	(revision 876)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/fileexplorer/Explorer.java	(revision 877)
@@ -295,13 +295,13 @@
 	 * @return true, if successful
 	 */
 	protected boolean CanDelete(File selectedItem) {
-		File txmhome = new File(Toolbox.getTXMHOMEPATH());
-		File scripts = new File(Toolbox.getTXMHOMEPATH(), "scripts"); //$NON-NLS-1$
-		File corpora = new File(Toolbox.getTXMHOMEPATH(), "corpora"); //$NON-NLS-1$
+		File txmhome = new File(Toolbox.getTxmHomePath());
+		File scripts = new File(Toolbox.getTxmHomePath(), "scripts"); //$NON-NLS-1$
+		File corpora = new File(Toolbox.getTxmHomePath(), "corpora"); //$NON-NLS-1$
 		//File registry = new File(Toolbox.getTXMHOMEPATH(), "registry"); //$NON-NLS-1$
-		File workspaces = new File(Toolbox.getTXMHOMEPATH(), "workspaces"); //$NON-NLS-1$
-		File xsl = new File(Toolbox.getTXMHOMEPATH(), "xsl"); //$NON-NLS-1$
-		File samples = new File(Toolbox.getTXMHOMEPATH(), "samples"); //$NON-NLS-1$
+		File workspaces = new File(Toolbox.getTxmHomePath(), "workspaces"); //$NON-NLS-1$
+		File xsl = new File(Toolbox.getTxmHomePath(), "xsl"); //$NON-NLS-1$
+		File samples = new File(Toolbox.getTxmHomePath(), "samples"); //$NON-NLS-1$
 		if (selectedItem.equals(txmhome) || 
 				selectedItem.equals(txmhome) ||
 				selectedItem.equals(scripts) ||
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/QueriesView.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/QueriesView.java	(revision 876)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/QueriesView.java	(revision 877)
@@ -165,7 +165,7 @@
 				File output = new File("queries.txt"); //$NON-NLS-1$
 
 				FileDialog dialog = new FileDialog(arg0.display.getActiveShell(), SWT.SAVE);
-				String txmhome = Toolbox.getTXMHOMEPATH();
+				String txmhome = Toolbox.getTxmHomePath();
 				if (LastOpened.getFile(ID) != null) {
 					dialog.setFilterPath(LastOpened.getFolder(ID));
 					dialog.setFileName(LastOpened.getFile(ID));
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/utils/GSERunner.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/utils/GSERunner.java	(revision 876)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/utils/GSERunner.java	(revision 877)
@@ -63,7 +63,7 @@
 		}
 		
 		if (scriptRootDir == null) {
-			scriptRootDir = new File(Toolbox.getTXMHOMEPATH(), "scripts").getAbsolutePath();
+			scriptRootDir = new File(Toolbox.getTxmHomePath(), "scripts").getAbsolutePath();
 		}
 		String[] roots = new String[] { 
 				scriptRootDir+"/user/", //$NON-NLS-1$
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/ImportSelectedText.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/ImportSelectedText.java	(revision 876)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/ImportSelectedText.java	(revision 877)
@@ -113,7 +113,7 @@
 			System.err.println(TXMUIMessages.ImportSelectedText_2);
 			return null;
 		}
-		String txmhome = Toolbox.getTXMHOMEPATH();
+		String txmhome = Toolbox.getTxmHomePath();
 		new File(txmhome, "clipboard").mkdir(); //$NON-NLS-1$
 		File clipboardDirectory = new File(txmhome, "clipboard/" + basename); //$NON-NLS-1$
 		
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/OpenBrowser.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/OpenBrowser.java	(revision 876)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/OpenBrowser.java	(revision 877)
@@ -96,7 +96,7 @@
 
 		if (file == null) {
 			FileDialog dialog = new FileDialog(shell, SWT.OPEN);
-			String txmhome = Toolbox.getTXMHOMEPATH();
+			String txmhome = Toolbox.getTxmHomePath();
 			if (LastOpened.getFile(ID) != null) {
 				dialog.setFilterPath(LastOpened.getFolder(ID));
 				dialog.setFileName(LastOpened.getFile(ID));
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/PurgeCorpora.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/PurgeCorpora.java	(revision 876)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/PurgeCorpora.java	(revision 877)
@@ -73,7 +73,7 @@
 			return;
 		}
 		
-		String path = Toolbox.getTXMHOMEPATH();
+		String path = Toolbox.getTxmHomePath();
 		if (path == null || path.trim().length() == 0) {
 			System.out.println(TXMUIMessages.PurgeCorpora_4);
 			return;
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/ConvertCorpus.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/ConvertCorpus.java	(revision 876)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/ConvertCorpus.java	(revision 877)
@@ -33,10 +33,10 @@
 				.getShell();
 		DirectoryDialog dialog = new DirectoryDialog(shell);
 
-		dialog.setFilterPath(Toolbox.getTXMHOMEPATH());
+		dialog.setFilterPath(Toolbox.getTxmHomePath());
 		String path = dialog.open();
 
-		final File corpora = new File(Toolbox.getTXMHOMEPATH(),
+		final File corpora = new File(Toolbox.getTxmHomePath(),
 				"corpora"); //$NON-NLS-1$
 		final File indir = new File(path);
 		final File outdir = new File(corpora, indir.getName() + 6);
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/UpdateCorpus.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/UpdateCorpus.java	(revision 876)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/UpdateCorpus.java	(revision 877)
@@ -42,7 +42,7 @@
 	
 	public static JobHandler update(final MainCorpus corpus) {
 		
-		String txmhome = Toolbox.getTXMHOMEPATH();
+		String txmhome = Toolbox.getTxmHomePath();
 		
 		BaseParameters params = corpus.getBase().getBaseParameters();
 		params.getKeyValueParameters().put(ImportKeys.MULTITHREAD, "false"); //too soon
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/LoadBinaryCorporaDirectory.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/LoadBinaryCorporaDirectory.java	(revision 876)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/LoadBinaryCorporaDirectory.java	(revision 877)
@@ -113,7 +113,7 @@
 			protected IStatus run(IProgressMonitor monitor) {
 				this.runInit(monitor);
 
-				File corporaDirectory = new File(Toolbox.getTXMHOMEPATH(), "corpora");
+				File corporaDirectory = new File(Toolbox.getTxmHomePath(), "corpora");
 				if (!corporaDirectory.exists()) {
 					System.out.println("Corpora directory not found. Aborting.");
 					return Status.CANCEL_STATUS;
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/LoadBinaryCorpus.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/LoadBinaryCorpus.java	(revision 876)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/LoadBinaryCorpus.java	(revision 877)
@@ -130,7 +130,7 @@
 	public boolean loadBinaryCorpusArchive(final File zipFile) throws ExecutionException {
 
 		String filename = zipFile.getName();
-		final File corporaDir = new File(Toolbox.getTXMHOMEPATH(), "corpora"); //$NON-NLS-1$
+		final File corporaDir = new File(Toolbox.getTxmHomePath(), "corpora"); //$NON-NLS-1$
 		corporaDir.mkdir();
 
 		if (!filename.endsWith(".txm") && !filename.endsWith(".zip")) { //$NON-NLS-1$ //$NON-NLS-2$
@@ -288,7 +288,7 @@
 
 		//File txmregistry = new File(Toolbox.getTXMHOMEPATH(), "registry"); //$NON-NLS-1$
 		//txmregistry.mkdir();
-		File txmcorpora = new File(Toolbox.getTXMHOMEPATH(), "corpora"); //$NON-NLS-1$
+		File txmcorpora = new File(Toolbox.getTxmHomePath(), "corpora"); //$NON-NLS-1$
 		txmcorpora.mkdir();
 
 		Workspace w = org.txm.Toolbox.workspace;
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/tests/TestImports.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/tests/TestImports.java	(revision 876)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/tests/TestImports.java	(revision 877)
@@ -83,7 +83,7 @@
 	 */
 	@Override
 	public Object execute(ExecutionEvent event) throws ExecutionException {
-		String txmhome = Toolbox.getTXMHOMEPATH();
+		String txmhome = Toolbox.getTxmHomePath();
 		final File scriptsdir = new File(txmhome, "scripts/import");
 		// final File sourcesdir = new
 		// File(System.getProperty("user.home"),"xml/TESTS");
@@ -131,7 +131,7 @@
 			protected IStatus run(IProgressMonitor monitor) {
 				this.runInit(monitor);
 				try {
-					String txmhome = Toolbox.getTXMHOMEPATH();
+					String txmhome = Toolbox.getTxmHomePath();
 					File outDir = new File(txmhome, "results/TESTS-imports");
 					outDir.mkdirs();
 					ArrayList<File> missings = new ArrayList<File>();
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/tests/TestImportLangs.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/tests/TestImportLangs.java	(revision 876)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/tests/TestImportLangs.java	(revision 877)
@@ -49,7 +49,7 @@
 	 */
 	@Override
 	public Object execute(ExecutionEvent event) throws ExecutionException {
-		String txmhome = Toolbox.getTXMHOMEPATH();
+		String txmhome = Toolbox.getTxmHomePath();
 		final File scriptsdir = new File(txmhome, "scripts/import");
 
 		System.out.println("Select the directory containing the source directories : "
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/ImportFormEditor.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/ImportFormEditor.java	(revision 876)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/ImportFormEditor.java	(revision 877)
@@ -128,7 +128,7 @@
 		setSite(site);
 		setInput(input);
 		
-		String txmhome = Toolbox.getTXMHOMEPATH();
+		String txmhome = Toolbox.getTxmHomePath();
 		String filepath = "scripts/import/" + ((ImportFormEditorInput) input).getGroovyFile().getName(); //$NON-NLS-1$ 
 		this.setGroovyscript(new File(txmhome, filepath));
 		
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/EditionSection.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/EditionSection.java	(revision 876)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/EditionSection.java	(revision 877)
@@ -131,7 +131,7 @@
 						if (LastOpened.getFile(ID) != null) {
 							dialog.setFilterPath(LastOpened.getFolder(ID));
 						} else {
-							dialog.setFilterPath(Toolbox.getTXMHOMEPATH());
+							dialog.setFilterPath(Toolbox.getTxmHomePath());
 						}
 						if (dialog.open() != null) {
 							File imgDirectory = new File(dialog.getFilterPath());
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/FrontXSLSection.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/FrontXSLSection.java	(revision 876)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/FrontXSLSection.java	(revision 877)
@@ -94,7 +94,7 @@
 					dialog.setFilterPath(LastOpened.getFolder(ID));
 					dialog.setFileName(LastOpened.getFile(ID));
 				} else {
-					dialog.setFilterPath(Toolbox.getTXMHOMEPATH());
+					dialog.setFilterPath(Toolbox.getTxmHomePath());
 				}
 				if (dialog.open() != null) {
 					xsltfile = new File(dialog.getFilterPath(), dialog.getFileName());
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/CorpusPage.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/CorpusPage.java	(revision 876)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/CorpusPage.java	(revision 877)
@@ -1009,7 +1009,7 @@
 		if (lastOpenedSrcDir != null) {
 			dialog.setFilterPath(lastOpenedSrcDir);
 		} else if (lastOpenedSrcDir != null) {
-			dialog.setFilterPath(Toolbox.getTXMHOMEPATH());
+			dialog.setFilterPath(Toolbox.getTxmHomePath());
 		} else
 			dialog.setFilterPath(new File(TXMPreferences.getString(TBXPreferences.INSTALL_DIR, TBXPreferences.PREFERENCES_NODE), "corpora").getAbsolutePath()); //$NON-NLS-1$
 
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/parameters/ParametersDialog.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/parameters/ParametersDialog.java	(revision 876)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/parameters/ParametersDialog.java	(revision 877)
@@ -94,7 +94,7 @@
 
 		// initialize the properties file default values store
 		defaultValues = new Properties();
-		String scriptRootDir = Toolbox.getTXMHOMEPATH() + "/scripts"; //$NON-NLS-1$
+		String scriptRootDir = Toolbox.getTxmHomePath() + "/scripts"; //$NON-NLS-1$
 		File currentRootDir = new File(scriptRootDir, "macro"); //$NON-NLS-1$
 
 		propFile = new File(currentRootDir, this.script.replace(".", "/")+".properties");
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/scripts/ExecuteLastGroovyScript.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/scripts/ExecuteLastGroovyScript.java	(revision 876)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/scripts/ExecuteLastGroovyScript.java	(revision 877)
@@ -82,7 +82,7 @@
 			System.out.println(TXMUIMessages.ExecuteLastGroovyScript_1+lastScript);
 		
 		//IPreferencesService service = Platform.getPreferencesService();
-		String scriptRootDir = Toolbox.getTXMHOMEPATH() + "/scripts"; //$NON-NLS-1$
+		String scriptRootDir = Toolbox.getTxmHomePath() + "/scripts"; //$NON-NLS-1$
 		File currentRootDir;
 		if (macro) {
 			currentRootDir = new File(scriptRootDir, "macro"); //$NON-NLS-1$
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/scripts/ExecuteImportScript.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/scripts/ExecuteImportScript.java	(revision 876)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/scripts/ExecuteImportScript.java	(revision 877)
@@ -104,7 +104,7 @@
 		} else {
 			Shell shell = HandlerUtil.getActiveWorkbenchWindowChecked(event).getShell();
 			FileDialog dialog = new FileDialog(shell, SWT.SAVE);
-			dialog.setFilterPath(Toolbox.getTXMHOMEPATH()+"/scripts/import");
+			dialog.setFilterPath(Toolbox.getTxmHomePath()+"/scripts/import");
 			filepath = dialog.open();
 		}
 		
@@ -151,7 +151,7 @@
 			public void run() {	StatusLine.setMessage(TXMUIMessages.ExecuteScriptImport_0); }
 		});
 
-		final String txmhome = Toolbox.getTXMHOMEPATH();
+		final String txmhome = Toolbox.getTxmHomePath();
 		final File corporadir = new File(txmhome,"corpora"); //$NON-NLS-1$
 		corporadir.mkdir(); // the binary corpus are stored here
 		if (!corporadir.exists()) {
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/scripts/ExecuteGroovyMacro.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/scripts/ExecuteGroovyMacro.java	(revision 876)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/scripts/ExecuteGroovyMacro.java	(revision 877)
@@ -103,7 +103,7 @@
 			dialog.setFilterExtensions(new String[] { "*.groovy" }); //$NON-NLS-1$
 
 			IPreferencesService service = Platform.getPreferencesService();
-			String scriptRootDir = Toolbox.getTXMHOMEPATH() + "/scripts"; //$NON-NLS-1$
+			String scriptRootDir = Toolbox.getTxmHomePath() + "/scripts"; //$NON-NLS-1$
 
 			dialog.setFilterPath(scriptRootDir);
 			result = dialog.open();
@@ -117,7 +117,7 @@
 	
 	public static void execute(String scriptpath, IWorkbenchPart page, ISelection selection) {
 		IPreferencesService service = Platform.getPreferencesService();
-		String scriptRootDir = Toolbox.getTXMHOMEPATH() + "/scripts"; //$NON-NLS-1$
+		String scriptRootDir = Toolbox.getTxmHomePath() + "/scripts"; //$NON-NLS-1$
 		File currentRootDir = new File(scriptRootDir, "macro"); //$NON-NLS-1$
 		
 		ExecuteGroovyScript.executeScript(currentRootDir, scriptpath, page, selection, false);
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/scripts/ExecuteGroovyScript.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/scripts/ExecuteGroovyScript.java	(revision 876)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/scripts/ExecuteGroovyScript.java	(revision 877)
@@ -131,7 +131,7 @@
 			dialog.setFilterExtensions(new String[] { "*.groovy" }); //$NON-NLS-1$
 
 			IPreferencesService service = Platform.getPreferencesService();
-			String scriptCurrentDir = Toolbox.getTXMHOMEPATH() + "/scripts"; //$NON-NLS-1$
+			String scriptCurrentDir = Toolbox.getTxmHomePath() + "/scripts"; //$NON-NLS-1$
 
 			dialog.setFilterPath(scriptCurrentDir);
 			result = dialog.open();
@@ -156,7 +156,7 @@
 		//				ScriptPreferencePage.SCRIPT_ROOT_DIR,
 		//				ScriptPreferenceInitializer.SCRIPT_ROOT_DIR_DEFAULT, null);
 		//		
-		String scriptRootDir = Toolbox.getTXMHOMEPATH() + "/scripts"; //$NON-NLS-1$
+		String scriptRootDir = Toolbox.getTxmHomePath() + "/scripts"; //$NON-NLS-1$
 		File currentRootDir = new File(scriptRootDir, "user"); //$NON-NLS-1$
 
 		executeScript(currentRootDir, scriptpath, page, selection, modal);
@@ -210,7 +210,7 @@
 //			//System.out.println("SCRIPT ROOT DIR CHANGED tmp="+tmp);
 //		}
 
-		String scriptsRootDirectories = Toolbox.getTXMHOMEPATH() + "/scripts";
+		String scriptsRootDirectories = Toolbox.getTxmHomePath() + "/scripts";
 		String dir = currentRootDir.getAbsolutePath();
 		String path = scriptfile.getAbsolutePath();
 		if (!path.startsWith(dir)) {
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/export/ExportSVG.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/export/ExportSVG.java	(revision 876)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/export/ExportSVG.java	(revision 877)
@@ -151,7 +151,7 @@
 	public static void export(File infile) {
 		// Shell shell =
 		// HandlerUtil.getActiveWorkbenchWindowChecked(event).getShell();
-		String txmhome = Toolbox.getTXMHOMEPATH();
+		String txmhome = Toolbox.getTxmHomePath();
 		FileDialog dialog = new FileDialog(new Shell(), SWT.SAVE);
 		if (LastOpened.getFile(ID) != null) {
 			dialog.setFilterPath(LastOpened.getFolder(ID));
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/files/EditFile.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/files/EditFile.java	(revision 876)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/files/EditFile.java	(revision 877)
@@ -65,7 +65,7 @@
 	public Object execute(ExecutionEvent event) throws ExecutionException {
 
 		Shell shell = HandlerUtil.getActiveWorkbenchWindowChecked(event).getShell();
-		String txmhome = Toolbox.getTXMHOMEPATH();
+		String txmhome = Toolbox.getTxmHomePath();
 
 		FileDialog dialog = new FileDialog(shell, SWT.OPEN);
 		if (LastOpened.getFile(ID) != null) {
